/**
 * Created on Jul 23, 2005
 * $id:  $
 */
package org.jvnet.lookout.core.model;


public class SearchResultType extends Identifiable {

    public static final SearchResultType PDF = new SearchResultType("pdf"); 
    public static final SearchResultType HTML = new SearchResultType("html"); 
    public static final SearchResultType PS = new SearchResultType("ps"); 
    public static final SearchResultType DOC = new SearchResultType("doc"); 
    public static final SearchResultType TXT = new SearchResultType("txt");    
    public static final SearchResultType XLS = new SearchResultType("xls"); 
    public static final SearchResultType PPT = new SearchResultType("ppt"); 
    public static final SearchResultType RTF = new SearchResultType("rtf"); 
    
    public static final SearchResultType EMAIL = new SearchResultType("email"); 
    
    public static final SearchResultType JAVA = new SearchResultType("java"); 
    public static final SearchResultType JAVA_CLASS = new SearchResultType("java class"); 
    public static final SearchResultType CPP = new SearchResultType("cpp");    
    public static final SearchResultType C = new SearchResultType("c");    
    public static final SearchResultType PROPERTIES = new SearchResultType("properties");
    public static final SearchResultType XML = new SearchResultType("xml"); 
    public static final SearchResultType XSD = new SearchResultType("xsd"); 
    public static final SearchResultType INI  = new SearchResultType("ini");
    
    public static final SearchResultType OTHER = new SearchResultType("Other");    
    
    public static final SearchResultType PNG = new SearchResultType("png");    
    public static final SearchResultType GIF = new SearchResultType("gif");    
    public static final SearchResultType JPEG = new SearchResultType("jpeg");    
    public static final SearchResultType BMP = new SearchResultType("bmp");    
    
    public static final SearchResultType WMV = new SearchResultType("wmv");    
    public static final SearchResultType MPEG = new SearchResultType("mpeg");    
    public static final SearchResultType MOV = new SearchResultType("mov");    
    public static final SearchResultType QT = new SearchResultType("qt");    
    public static final SearchResultType MPGA = new SearchResultType("mpga");    
    
    public static final SearchResultType MP1 = new SearchResultType("mp1");    
    public static final SearchResultType MP2 = new SearchResultType("mp2");    
    public static final SearchResultType MP3 = new SearchResultType("mp3");    
    public static final SearchResultType M3U = new SearchResultType("m3u");    
    public static final SearchResultType AVI = new SearchResultType("avi");    
    public static final SearchResultType WMA = new SearchResultType("wma");    
    public static final SearchResultType WAV = new SearchResultType("wav");    
    public static final SearchResultType RAM = new SearchResultType("ram");    
    public static final SearchResultType MIDI = new SearchResultType("midi");    
    public static final SearchResultType AU = new SearchResultType("au");    
    public static final SearchResultType AIFF = new SearchResultType("aiff");    
    public static final SearchResultType CDA = new SearchResultType("cda");    
    public static final SearchResultType MID = new SearchResultType("mid");    
    public static final SearchResultType RMI = new SearchResultType("rmi");    
    
    public SearchResultType(String name) {
    	super(name);
    }

}
